:: Setup FTDI drivers for x86 or amd64
@ECHO OFF

IF %PROCESSOR_ARCHITECTURE% == x86 (
	COPY /Y ".\win32\i386\ftbusui.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\i386\ftd2xx.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\i386\ftlang.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\i386\ftserui2.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\i386\ftcserco.dll" "%SystemRoot%\System32"

	COPY /Y ".\win32\i386\ftdibus.sys" "%SystemRoot%\System32\drivers"
	COPY /Y ".\win32\i386\ftser2k.sys" "%SystemRoot%\System32\drivers"
	
	COPY /Y ".\win32\amd64\JD2XX.dll" "%SystemRoot%\System32"

	echo FTDI drivers for x86 have been set
) ELSE IF %PROCESSOR_ARCHITECTURE% == AMD64 (
	COPY /Y ".\win32\amd64\ftbusui.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\amd64\ftd2xx.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\amd64\ftlang.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\amd64\ftserui2.dll" "%SystemRoot%\System32"
	COPY /Y ".\win32\amd64\ftcserco.dll" "%SystemRoot%\System32"

	COPY /Y ".\win32\amd64\ftdibus.sys" "%SystemRoot%\System32\drivers"
	COPY /Y ".\win32\amd64\ftser2k.sys" "%SystemRoot%\System32\drivers"
	
	COPY /Y ".\win32\amd64\JD2XX.dll" "%SystemRoot%\System32"

	echo FTDI drivers for amd64 have been set
		
) ELSE echo FTDI drivers have NOT been set

